View a markdown version of this page

DeleteDataset - Amazon Bedrock AgentCore Control Plane

DeleteDataset

Deletes a dataset version or an entire dataset asynchronously. If datasetVersion is absent, deletes all versions and the dataset record itself. If provided, deletes only that specific version.

Request Syntax

DELETE /datasets/datasetId?datasetVersion=datasetVersion HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

datasetId

The unique identifier of the dataset to delete.

Pattern: [a-zA-Z0-9_-]{1,110}

Required: Yes

datasetVersion

Optional version to delete. If absent, deletes the entire dataset. If provided, deletes only that specific version.

Pattern: (DRAFT|[0-9]+)

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 202 Content-type: application/json { "datasetArn": "string", "datasetId": "string", "datasetVersion": "string", "status": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

datasetArn

The Amazon Resource Name (ARN) of the dataset.

Type: String

Pattern: arn:aws(-[a-z]+)*:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:dataset/[a-zA-Z0-9_-]{1,110}

datasetId

The unique identifier of the dataset.

Type: String

Pattern: [a-zA-Z0-9_-]{1,110}

datasetVersion

The version that was deleted.

Type: String

Pattern: (DRAFT|[0-9]+)

status

The current status of the dataset after the delete request.

Type: String

Valid Values: CREATING | UPDATING | DELETING | ACTIVE | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

updatedAt

The timestamp when the delete was initiated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: